#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	Accessor
Summary:	Class::Accessor - automated accessor generation
Summary(pl.UTF-8):	Class::Accessor - automatyczne generowanie składowych accessor
Name:		perl-Class-Accessor
Version:	0.51
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1f1e5990f87cad7659b292fed7dc0407
Patch0:		%{name}-require.patch
URL:		http://search.cpan.org/dist/Class-Accessor/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module automatically generates accessor/mutators for your class.

%description -l pl.UTF-8
Ten moduł automatycznie generuje składniki accessor/mutator dla klas.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

find . '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Class/Accessor.pm
%{perl_vendorlib}/Class/Accessor
%{_mandir}/man3/Class::Accessor*.3pm*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Class-Accessor.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> d06374e
- up to 0.51

* Sun Oct 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 7a56159
- more verbose files

* Mon Oct 19 2009 amateja <amateja@pld-linux.org> 996943f
- updated to 0.34

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> 6f1db64
- updated to 0.33

* Sat Oct 27 2007 radek <radek@pld-linux.org> e27e14a
- version 0.31

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9ae61f4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 065b961
- converted to UTF-8

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> b23e1ee
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 5e00596
- cleanup files after patching, rel 2

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> f5ee82d
- 0.27, generic URL, corrected License

* Fri Nov 18 2005 migo <migo@pld-linux.org> 3b5c5b9
- up to 0.22

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 76c719f
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> f793d8e
- unfold macros in %summary

* Sat Jun 05 2004 radek <radek@pld-linux.org> ee1b782
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 7b694b0
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 35161c6
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 648827a
- cosmetics: unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 01262a4
- bcond fixes/porting

* Sun Apr 18 2004 ankry <ankry@pld-linux.org> 4606433
- license fixes and unification

* Sat Mar 06 2004 Adam Gołębiowski <adamg@pld-linux.org> dc64bae
- updated to 0.19

